<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mobile_navigation"
    app:startDestination="@+id/nav_home">

    <fragment
        android:id="@+id/nav_home"
        android:name="com.example.sdima.recipease2.ui.splash.SplashFragment"
        android:label="@string/menu_home"
        tools:layout="@layout/fragment_splash_screen">
        <action
            android:id="@+id/action_nav_home_to_nav_recipes_fragment"
            app:destination="@id/nav_recipes_fragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/fade_out"
            app:popUpTo="@+id/nav_home"
            app:popUpToInclusive="true" />
    </fragment>

    <!--        TODO Remove un-needed fragments once new fragments have been created -->
    <fragment
        android:id="@+id/nav_gallery"
        android:name="com.example.sdima.recipease2.ui.gallery.GalleryFragment"
        android:label="@string/menu_gallery"
        tools:layout="@layout/fragment_gallery" />

    <fragment
        android:id="@+id/nav_slideshow"
        android:name="com.example.sdima.recipease2.ui.slideshow.SlideshowFragment"
        android:label="@string/menu_slideshow"
        tools:layout="@layout/fragment_slideshow" />

    <fragment
        android:id="@+id/nav_recipes_fragment"
        android:name="com.example.sdima.recipease2.ui.viewrecipes.ViewRecipesFragment"
        android:label="@string/menu_recipes"
        tools:layout="@layout/view_recipes_fragment" >
        <action
            android:id="@+id/action_nav_recipes_fragment_to_nav_new_recipe_fragment"
            app:destination="@id/nav_new_recipe_fragment" />
    </fragment>

    <fragment
        android:id="@+id/nav_new_recipe_fragment"
        android:name="com.example.sdima.recipease2.ui.newrecipe.NewRecipeFragment"
        android:label="@string/menu_new_recipe"
        tools:layout="@layout/new_recipe_fragment" >
        <action
            android:id="@+id/action_nav_new_recipe_fragment_to_nav_recipes_fragment"
            app:destination="@id/nav_recipes_fragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/fade_out"
            app:popUpTo="@id/nav_recipes_fragment"
            app:popUpToInclusive="true" />
    </fragment>
</navigation>